
Kune - Defect #453
Debian package db migration fails. Client gives HTTP ERROR: 503
12/30/2012 06:12 PM - thedentist anon

Status: Closed Start date: 12/30/2012
Priority: Urgent Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Resolution: Tags: HTTP503
Description

Hi,
I followed the steps outlined in http://kune.cc/#!kune.docs.6810.898 to install kune form .deb package on Ubuntu 12.10
(excluding the optional steps)
But when i open http://127.0.0.1:8888 i get:

"HTTP ERROR: 503
Problem accessing /. Reason:
    Service Unavailable
Powered by Jetty://"

Also log is attached

Thanks for the help

Associated revisions
Revision 4867cd7c - 01/21/2013 01:46 PM - Vicente J. Ruiz Jurado

Fix for #453: Debian package db migration fails. Client gives HTTP ERROR: 503

History
#1 - 01/02/2013 04:38 PM - Christopher Baldwin
- File kune.log added

I've followed the same steps using Debian 6.0.6 and Ubuntu LTS 12.04 and got similar errors in the log (attached)

Try running the following, I was able to get a working instance after this:
mysql -p kune_prod < /usr/share/dbconfig-common/data/kune/upgrade/mysql/0.2.0+b25

#2 - 01/07/2013 11:33 PM - Vicente J. Ruiz Jurado

Christopher is right. See please "Note 2" in:
http://kune.cc/?locale=es#!kune.docs.6810.898

#3 - 01/17/2013 06:01 PM - Vicente J. Ruiz Jurado
- Tracker changed from Support to Defect
- Subject changed from HTTP ERROR: 503 to Debian package db migration fails. Client gives HTTP ERROR: 503

04/26/2024 1/2

http://kune.cc/#!kune.docs.6810.898
http://127.0.0.1:8888
http://kune.cc/?locale=es#!kune.docs.6810.898


- Priority changed from Normal to Urgent

#4 - 01/20/2013 03:49 AM - Vicente J. Ruiz Jurado
- Status changed from New to In Progress
- % Done changed from 0 to 50

The issue can be debugged:
http://people.debian.org/~seanius/policy/dbconfig-common-using.html/ch-develguide.html#s-debugging
installing the package from scratch and looking why the upgrades are not processed.

For now, looking into:
/usr/share/dbconfig-common/dpkg/postinst
and testing things like:
 dpkg --compare-versions 0.2.0+b14 gt 0.1.0+b13

#5 - 01/21/2013 01:49 PM - Vicente J. Ruiz Jurado
- Status changed from In Progress to Closed
- % Done changed from 50 to 100

Applied in changeset commit:4867cd7cdce3fbb5d838eeefb473a914618fd24f.
